types_from_string.hpp File Reference
`#include <cassert>`
`#include <cctype>`
`#include <cstdint>`
`#include <cstdlib>`
`#include <limits>`
`#include <string>`
`#include <utility>`
`#include <osmium/osm/entity_bits.hpp>`
`#include <osmium/osm/types.hpp>`
`#include <osmium/util/cast.hpp>`
Include dependency graph for types_from_string.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

| osmium
| Namespace for everything in the Osmium library.

## Functions

object_id_type | osmium::string_to_object_id (const char *input)
std::pair< osmium::item_type, osmium::object_id_type > | osmium::string_to_object_id (const char *input, osmium::osm_entity_bits::type types)
object_version_type | osmium::string_to_object_version (const char *input)
changeset_id_type | osmium::string_to_changeset_id (const char *input)
signed_user_id_type | osmium::string_to_user_id (const char *input)
num_changes_type | osmium::string_to_num_changes (const char *input)
num_comments_type | osmium::string_to_num_comments (const char *input)